Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class DependencySituationImpl

    java.lang.Object
      |
      +--org.eclipse.hyades.logging.events.SituationTypeImpl
            |
            +--org.eclipse.hyades.logging.events.DependencySituationImpl

All Implemented Interfaces:
  java.lang.Cloneable, IDependencySituation, ISituationType, java.io.Serializable

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public class DependencySituationImpl
extends SituationTypeImpl
implements IDependencySituation, java.io.Serializable, java.lang.Cloneable

The DependencySituation deals with the situations that components produce to say that they cannot find some component or feature that they need. This category includes messages about not finding the ?version? of the component that was expected. Messages that say a resource was not found, or that an application or subsystem that was unavailable, also fall into this category. Existing messages include words like could not find, and no such component, for example: `WSVR0017E: Error encountered binding the J2EE resource, Pet Store JMS Queue Connection Factory, as jms/queue/QueueConnectionFactory from resources.xml no resource binder found`

Since:
  1.0.1
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `IDependencySituation`, `ISituationType`, Serialized Form

Field Summary
`protected java.lang.String` | `dependencyDisposition` Deprecated.

Fields inherited from class org.eclipse.hyades.logging.events.SituationTypeImpl
`reasoningScope`

Constructor Summary
`protected` | `DependencySituationImpl()` Deprecated. No-argument protected constructor for DependencySituationImpl.

Method Summary
`java.lang.Object` | `clone()` Deprecated. Return a clone (copy by value) of this object.
`boolean` | `equals(java.lang.Object object)` Deprecated. Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.
`java.lang.String` | `getDependencyDisposition()` Deprecated. Returns the dependencyDisposition.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g. null) state.
`void` | `setDependencyDisposition(java.lang.String dependencyDisposition)` Deprecated. Sets the dependencyDisposition.

Methods inherited from class org.eclipse.hyades.logging.events.SituationTypeImpl
`getReasoningScope, setReasoningScope`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.hyades.logging.events.ISituationType
`getReasoningScope, setReasoningScope`

Field Detail

### dependencyDisposition

    protected java.lang.String dependencyDisposition

  Deprecated.

Constructor Detail

### DependencySituationImpl

    protected DependencySituationImpl()

  Deprecated.
  No-argument protected constructor for DependencySituationImpl.

Method Detail

### getDependencyDisposition

    public java.lang.String getDependencyDisposition()

  Deprecated.
  Returns the dependencyDisposition. This property specifies the dependency disposition of a feature of a component that caused the situation to be reported. The featureDisposition is a string with the following set of values: MET NOT MET This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `getDependencyDisposition` in interface `IDependencySituation`
  Returns:
    String The returned dependencyDisposition.
  Since:
    1.0.1

### setDependencyDisposition

    public void setDependencyDisposition(java.lang.String dependencyDisposition)

  Deprecated.
  Sets the dependencyDisposition. This property specifies the dependency disposition of a feature of a component that caused the situation to be reported. The featureDisposition is a string with the following set of values: MET NOT MET This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `setDependencyDisposition` in interface `IDependencySituation`
  Parameters:
    `dependencyDisposition` - The dependencyDisposition to be set.
  Since:
    1.0.1

### equals

    public boolean equals(java.lang.Object object)

  Deprecated.
  Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.

  Overrides:
    `equals` in class `SituationTypeImpl`
  Parameters:
    `object` - The `java.lang.Object` to be compared to this object.
  Returns:
    true if this object is the same as the parameter `object`, false otherwise.
  See Also:
    `Object.equals(java.lang.Object)`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  Return a clone (copy by value) of this object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `SituationTypeImpl`
  Returns:
    Object The clone of this object.
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

  Specified by:
    `init` in interface `ISituationType`
  Overrides:
    `init` in class `SituationTypeImpl`
  See Also:
    `ISituationType.init()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD